aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party/protobuf/3.4.0/csharp/buildall.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/protobuf/3.4.0/csharp/buildall.sh')
-rwxr-xr-xthird_party/protobuf/3.4.0/csharp/buildall.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/third_party/protobuf/3.4.0/csharp/buildall.sh b/third_party/protobuf/3.4.0/csharp/buildall.sh
new file mode 100755
index 0000000000..dd4b463ddf
--- /dev/null
+++ b/third_party/protobuf/3.4.0/csharp/buildall.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+CONFIG=Release
+SRC=$(dirname $0)/src
+
+set -ex
+
+echo Building relevant projects.
+dotnet restore $SRC/Google.Protobuf.sln
+dotnet build -c $CONFIG $SRC/Google.Protobuf.sln
+
+echo Running tests.
+# Only test netcoreapp1.0, which uses the .NET Core runtime.
+# If we want to test the .NET 4.5 version separately, we could
+# run Mono explicitly. However, we don't have any differences between
+# the .NET 4.5 and netstandard1.0 assemblies.
+dotnet run -c $CONFIG -f netcoreapp1.0 -p $SRC/Google.Protobuf.Test/Google.Protobuf.Test.csproj